Returns current usage on the given monitored asset.
const url = 'https://example.com/api/v1/provision/admin/monitored-assets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/usage';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/monitored-assets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/usageParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Monitored asset id.
Responses
Section titled “ Responses ”OK
object
object
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
When the current consumption period rolls over (derived from the configured calendar period). Null if the metric has no period.
Consumer view of a prepaid credit balance (e.g. extra render credits).
object
object
object
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
When the current consumption period rolls over (derived from the configured calendar period). Null if the metric has no period.
Consumer view of a prepaid credit balance (e.g. extra render credits).
object
Example generated
{ "metricType": 1, "value": 1, "meteredUsageStatus": { "tier": "example", "currentValue": 1, "start": 1, "limit": 1, "usagePercentage": 1, "quotaUsagePolicy": 1, "quotaUsageLevel": 1, "periodResetAt": "2026-04-15T12:00:00Z" }, "balanceUsage": { "name": "example", "unit": "example", "numberFormat": "example", "initialCreditAmount": 1, "totalCredits": 1, "creditsUsed": 1, "creditsLeft": 1, "cumulativeCreditsUsed": 1 }}object
object
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
When the current consumption period rolls over (derived from the configured calendar period). Null if the metric has no period.
Consumer view of a prepaid credit balance (e.g. extra render credits).
object
Example generated
{ "metricType": 1, "value": 1, "meteredUsageStatus": { "tier": "example", "currentValue": 1, "start": 1, "limit": 1, "usagePercentage": 1, "quotaUsagePolicy": 1, "quotaUsageLevel": 1, "periodResetAt": "2026-04-15T12:00:00Z" }, "balanceUsage": { "name": "example", "unit": "example", "numberFormat": "example", "initialCreditAmount": 1, "totalCredits": 1, "creditsUsed": 1, "creditsLeft": 1, "cumulativeCreditsUsed": 1 }}Not Found
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}